//  Persistence of Vision Raytracer V3.1
//  World definition file.
//
//  Contains 6 lights, 5 materials and 31 primitives.
//
//  This file was generated for POV-Ray V3.1 by
//  Moray V3.2 For Windows Copyright (c) 1993-2000 Lutz + Kretzschmar
//

//  Date : 01/27/2001    (27.01.2001)
//



/* // Scene Comment

This scene was created with Moray For Windows.

*/ // End Scene Comment


// Scene Includes

#include "C:\programs\pov31\scenes\galery1.inc"

// End Scene Includes

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera StdCam
  location  <     23.332,     -26.592,      14.778>
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.35836,         0.0,         0.0> // Right Vector is adjusted to compensate for spherical (Moray) vs. planar (POV-Ray) aspect ratio
  angle         40.00000    // Vertical      30.000
  look_at   <      0.000,       0.000,       0.000>
}

//
// *******  L I G H T S *******
//

light_source {   // Light004
  <0.0, 0.0, 0.0>
  color rgb <0.517, 0.509, 1.000>
  translate  <12.851684, -8.485118, 6.50874>
}

light_source {   // Light003
  <0.0, 0.0, 0.0>
  color rgb <0.948, 0.000, 0.000>
  translate  <9.707123, -8.621838, 6.50874>
}

light_source {   // Light002
  <0.0, 0.0, 0.0>
  color rgb <0.948, 0.000, 0.000>
  translate  <12.851684, -8.485118, 6.50874>
}

light_source {   // Light001
  <0.0, 0.0, 0.0>
  color rgb <0.517, 0.509, 1.000>
  translate  <12.851684, -6.024157, 6.50874>
}

#declare Light1 = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>
  translate  40.0*z
}

#declare Light2 = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>
  translate  40.0*z
}


//
// ********  MATERIALS  *******
//

#include "galery.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//

#include "C:\programs\pov31\scenes\wplant2.inc"

#declare Obj_000001_mat2_Ref = object {
  Obj_000001_mat1
  material {
    Plant_Mat1
  }
}
#declare Obj_000002_mat3_Ref = object {
  Obj_000002_mat2
  material {
    Plant_Mat1
  }
}
#declare Obj_000003_mat4_Ref = object {
  Obj_000003_mat3
  material {
    Plant_Mat1
  }
}
#declare Obj_000004_mat5_Ref = object {
  Obj_000004_mat4
  material {
    Plant_Mat2
  }
}
#declare Obj_000005_mat6_Ref = object {
  Obj_000005_mat5
  material {
    Plant_Mat2
  }
}
#declare wplant2_group1 = union {
  object { Obj_000001_mat2_Ref }
  object { Obj_000002_mat3_Ref }
  object { Obj_000003_mat4_Ref }
  object { Obj_000004_mat5_Ref }
  object { Obj_000005_mat6_Ref }
  scale 0.1
  rotate <-0.0, -0.0, 177.419937>
  translate  <-1.885087, -7.519602, 2.017452>
}
#declare Obj_000001_mat3_Ref = object {
  Obj_000001_mat1
  material {
    Plant_Mat3
  }
}
#declare Obj_000002_mat4_Ref = object {
  Obj_000002_mat2
  material {
    Plant_Mat3
  }
}
#declare Obj_000003_mat5_Ref = object {
  Obj_000003_mat3
  material {
    Plant_Mat3
  }
}
#declare Obj_000004_mat6_Ref = object {
  Obj_000004_mat4
  material {
    Plant_Mat3
  }
}
#declare Obj_000005_mat7_Ref = object {
  Obj_000005_mat5
  material {
    Plant_Mat3
  }
}
#declare wplant2_group2 = union {
  object { Obj_000001_mat3_Ref }
  object { Obj_000002_mat4_Ref }
  object { Obj_000003_mat5_Ref }
  object { Obj_000004_mat6_Ref }
  object { Obj_000005_mat7_Ref }
  scale 0.1
  rotate <-0.0, -0.0, -107.622726>
  translate  <5.224355, -2.460961, 2.017452>
}
#declare Obj_000001_mat4_Ref = object {
  Obj_000001_mat1
  material {
    Plant_Mat3
  }
}
#declare Obj_000002_mat5_Ref = object {
  Obj_000002_mat2
  material {
    Plant_Mat3
  }
}
#declare Obj_000003_mat6_Ref = object {
  Obj_000003_mat3
  material {
    Plant_Mat3
  }
}
#declare Obj_000004_mat7_Ref = object {
  Obj_000004_mat4
  material {
    Plant_Mat3
  }
}
#declare Obj_000005_mat8_Ref = object {
  Obj_000005_mat5
  material {
    Plant_Mat3
  }
}
#declare wplant2_group3 = union {
  object { Obj_000001_mat4_Ref }
  object { Obj_000002_mat5_Ref }
  object { Obj_000003_mat6_Ref }
  object { Obj_000004_mat7_Ref }
  object { Obj_000005_mat8_Ref }
  material {
    Plant_Mat4
  }
  scale 0.1
  rotate <-0.0, -0.0, -107.622726>
  translate  <-5.849968, -0.54688, 2.017452>
}
#declare Obj_000001_mat1_Ref = object {
  Obj_000001_mat1
  material {
    Plant_Mat1
  }
}
#declare Obj_000002_mat2_Ref = object {
  Obj_000002_mat2
  material {
    Plant_Mat1
  }
}
#declare Obj_000003_mat3_Ref = object {
  Obj_000003_mat3
  material {
    Plant_Mat1
  }
}
#declare Obj_000004_mat4_Ref = object {
  Obj_000004_mat4
  material {
    Plant_Mat2
  }
}
#declare Obj_000005_mat5_Ref = object {
  Obj_000005_mat5
  material {
    Plant_Mat2
  }
}
#declare wplant2_group = union {
  object { Obj_000001_mat1_Ref }
  object { Obj_000002_mat2_Ref }
  object { Obj_000003_mat3_Ref }
  object { Obj_000004_mat4_Ref }
  object { Obj_000005_mat5_Ref }
  scale 0.1
  translate  <0.165714, 5.605522, 2.017452>
}
union { // Plants
  object { wplant2_group1 }
  object { wplant2_group2 }
  object { wplant2_group3 }
  object { wplant2_group }
}


#include "C:\programs\pov31\scenes\crystals.inc"

#declare NONAME_Ref = object {
  NONAME
  material {
    Plant_Mat1
  }
  scale 0.0025
  rotate <88.367516, -2.058548, 49.792618>
  translate  <9.296963, -4.375041, 0.0>
}
#declare NONAME1_Ref = object {
  NONAME
  material {
    Plant_Mat4
  }
  scale 0.0025
  rotate <88.367516, -2.058548, 49.792618>
  translate  <10.720203, 2.597681, 0.05604>
}
#declare NONAME2_Ref = object {
  NONAME
  material {
    Plant_Mat3
  }
  scale 0.0025
  rotate <88.367516, -2.058548, 49.792618>
  translate  <7.028762, 8.339922, 0.504363>
}
union { // Crystals
  object { NONAME_Ref }
  object { NONAME1_Ref }
  object { NONAME2_Ref }
}










